<?php
namespace App\Repositories\Interfaces;

use App\Models\WarehouseGuideDetail;
use App\DTOs\WarehouseGuide\WarehouseGuideDetailCreateDto;
use App\DTOs\WarehouseGuide\WarehouseGuideDetailUpdateDto;

interface IWarehouseGuideDetailRepository
{
    public function paginate(array $request);
    public function find(int $id): ?WarehouseGuideDetail;
    public function store($store): WarehouseGuideDetail;
    public function update($store): void;
    public function destroy(int $id, $warehouseguide_typeguide): void;
}
